{
  "custom": {},
  "params": {
    "Error_message": "none"
  },
  "propConfig": {
    "params.Error_message": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 100,
      "width": 242
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Icon"
            },
            "position": {
              "basis": "200px"
            },
            "props": {
              "color": "#FFFFFF",
              "path": "material/error_outline",
              "style": {
                "backgroundColor": "#555555"
              }
            },
            "type": "ia.display.icon"
          },
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "basis": "250px"
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.Error_message"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "backgroundColor": "#000000"
              },
              "textStyle": {
                "color": "#FFFFFF",
                "fontWeight": "bold",
                "margin": 10,
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "200px"
        },
        "props": {
          "direction": "column",
          "style": {
            "borderColor": "#FFFFFF",
            "borderStyle": "solid",
            "borderWidth": "1px"
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "Error"
    },
    "props": {
      "direction": "column",
      "style": {
        "classes": "Background-Styles/Controller"
      }
    },
    "type": "ia.container.flex"
  }
}